---
title: HTMLMediaElement.networkState
slug: Web/API/HTMLMediaElement/networkState
tags:
  - API
  - HTML DOM
  - Property
  - Read-only
  - Web
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The <strong><code>HTMLMediaElement.networkState</code></strong> property indicates the current state of the fetching of media over the network.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var networkState = audioOrVideo.networkState;</pre>

<h3 id="Value">Value</h3>

<p>An <code>unsigned short</code>. Possible values are:</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Constant</th>
   <th scope="col">Value</th>
   <th scope="col">Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>NETWORK_EMPTY</code></td>
   <td>0</td>
   <td>There is no data yet. Also, <code>readyState</code> is <code>HAVE_NOTHING</code>.</td>
  </tr>
  <tr>
   <td><code>NETWORK_IDLE</code></td>
   <td>1</td>
   <td>HTMLMediaElement is active and has selected a resource, but is not using the network.</td>
  </tr>
  <tr>
   <td><code>NETWORK_LOADING</code></td>
   <td>2</td>
   <td>The browser is downloading HTMLMediaElement data.</td>
  </tr>
  <tr>
   <td><code>NETWORK_NO_SOURCE</code></td>
   <td>3</td>
   <td>No HTMLMediaElement src found.</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>This example will listen for the audio element to begin playing and then check if it is still loading data.</p>

<pre class="brush: html">&lt;audio id="example" preload="auto"&gt;
 &lt;source src="sound.ogg" type="audio/ogg" /&gt;
&lt;/audio&gt;

</pre>

<pre class="brush: js">var obj = document.getElementById('example');

obj.addEventListener('playing', function() {

  if (obj.networkState === 2) {
    // Still loading...
  }

});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#dom-media-networkstate", "HTMLMediaElement.networkState")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "embedded-content-0.html#htmlmediaelement", "HTMLMediaElement.networkState")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMediaElement.networkState")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li>The interface defining it, {{domxref("HTMLMediaElement")}}.</li>
</ul>
